
/* Additional styles */

h1 {
    font-size: 36px;
    line-height: 40px;
    text-align: center;
    
    color: #015A20;
    margin: 40px 0;
    padding: 10px;
}

h2 {
    font-size: 30px;
    line-height: 40px;
    border-bottom: solid 1px #666;
}

h3 {
    font-size: 24px;
    line-height: 40px;
}

h4 {
    font-size: 18px;
    line-height: 20px;
    font-style: italic;
}


body {
	font-family: Helvetica,Arial,sans-serif;
	line-height: 1.3;
}


/* styling of code listings and code snippets */

pre, code {
    background-color: #f7f7f9;
    border: 1px solid #e1e1e8;
}

pre {
	padding: 10px;
	word-break: break-all;
	word-wrap: break-word;
	white-space: pre-wrap;
	border-radius: 5px;
}

code {
	vertical-align: 5%;
	padding: 1px 3px 0px;
    color: #d14;
	border-radius: 2px;
}

pre code {
	padding: 0px;
    color: inherit;
    background-color: transparent;
    border: 0;
}


/* styling of tables: minimal, classic */

td, th {
	padding: 6px 6px 6px 6px;
} 


table.minimal td {
	border-top: solid black 1px;
} 


table.classic {
	border: solid black 1px;
	border-collapse: collapse;
}

table.classic th, table.classic td {
	border: solid black 1px;
}


/* borders and scaling (used for images) */

img.gray {
	background: #dddddd;
	padding: 5px;
	margin: 10px;
}


img.scale {
	max-width: 100%;
	height: auto;
}


img.gray_scale {
	background: #dddddd;
	padding: 5px;
	margin: 10px;
 
	max-width: 100%;
	height:auto;
}


img.shadow {
	box-shadow: 0px 0px 5px 8px #ccc;
	margin: 10px;
}


/* not applicable (because border=0 is added by default) */

img.dotted {
	border-width: 2;
	border-color: gray;
	border-style: dotted;
}


.validation-rule {
    border-style: solid;
    border-width: thin;
    margin-left: 1.5cm;
	margin-right: 1.5cm;
}

.validation-rule:before {
	font-weight: normal;
	font-size: larger;
	line-height: 200%;
	margin-left: -0.75cm;
    content: "\26A0  VALIDATION RULES";
}
